function [boundary] = fit_AL_fe2(boundary,B_comm2)

% translate points to match end of mid_AL
t_vector3 = [boundary.B_midAL(end,1)-boundary.fe_ant(1,1)...
    boundary.B_midAL(end,2)-boundary.fe_ant(1,2)...
    boundary.B_midAL(end,3)-boundary.fe_ant(1,3)];

boundary.fe_ant(:,1) = t_vector3(1) + boundary.fe_ant(:,1);
boundary.fe_ant(:,2) = t_vector3(2) + boundary.fe_ant(:,2);
boundary.fe_ant(:,3) = t_vector3(3) + boundary.fe_ant(:,3);


% adaptive transformation in all axis:

% distance between free edge and commissural end points
d = [B_comm2(end,1)-boundary.fe_ant(end,1)...
    B_comm2(end,2)-boundary.fe_ant(end,2)...
    B_comm2(end,3)-boundary.fe_ant(end,3)];


% x transformation

divisory = d(1)/(length(boundary.fe_ant)-1);
v = [0];

for i=1:length(boundary.fe_ant)-1
   v = [v; v(i) + divisory]; 
end

% adaptive transform of anterior free edge
for i=1:length(boundary.fe_ant)
boundary.fe_ant(i,1) = v(i) + boundary.fe_ant(i,1);
end



% y transformation

divisory = d(2)/(length(boundary.fe_ant)-1);
v = [0];

for i=1:length(boundary.fe_ant)-1
   v = [v; v(i) + divisory]; 
end

% adaptive transform of anterior free edge
for i=1:length(boundary.fe_ant)
boundary.fe_ant(i,2) = v(i) + boundary.fe_ant(i,2);
end



% z transformation

divisorz = d(3)/(length(boundary.fe_ant)-1);
v = [0];

for i=1:length(boundary.fe_ant)-1
   v = [v; v(i) + divisorz]; 
end

% adaptive transform of anterior free edge
for i=1:length(boundary.fe_ant)
boundary.fe_ant(i,3) = v(i) + boundary.fe_ant(i,3);
end

end

